<?php

namespace OCA\walkthroughjs\Service;

use \OCP\IConfig;

class ConfigService {

	private $config;
	private $appName;

	public function __construct(IConfig $config, $appName) {
		$this->config = $config;
		$this->appName = $appName;
	}

	public function getStatus($userId) {
		return $this->config->getUserValue($userId, $this->appName, "status", 1);
	}

	public function setStatus($userId, $value) {
		$this->config->setUserValue($userId, $this->appName, "status", $value);
	}
}